// Init game
const game = new PIXI.Application({background: '#000000', autoResize: true,});

$(function() {
    // Add to document
    document.body.append(game.view);
    handleResize();
    // Set callback on loader
    Loader.callback = setup;
    // Load assets
    Loader.load();

});

function handleResize() {
    // Handle resize
    $(window).resize(resizer);
    resizer();
    
    function resizer() {
        game.renderer.resize($(window).innerWidth(), $(window).innerHeight());
    }
}

function setup() {
    // Setup
    Spaceship.init();
    Keyboard.init();
    Level.set(1, game.stage);
    
    game.ticker.add(ticker);
}

function ticker(delta) {
    Spaceship.update(delta);
    Level.simulate(delta);
    
}

function distance(x1, y1, x2, y2) {
    return Math.sqrt(Math.pow(Math.abs(x2-x1),2)+Math.pow(Math.abs(y2-y1),2));
}